{% extends "admin/app.twig" %}
{% block content %}
<div class="container">
  {% include 'admin/navbar.twig' %}
  <div class="row">
    <div class="col-sm">
        <div id="content">
          <h1 id="content-title">Пользователи</h1>
          <div id="line"></div>
            <div class="row" style="margin-left: 10px;">
              <table class="table table-striped">
                <thead>
                  <tr>
                    <th scope="col">#</th>
                    <th scope="col">Логин</th>
                    <th scope="col">Действие</th>
                    <th scope="col">
                      <button type="button" class="btn btn-info" data-toggle="modal" data-target="#user-modal">Создать пользователя</button>
                    </th>
                  </tr>
                </thead>
                <tbody>
                {% for key,value in users %}
                  <tr>
                    <th scope="row">{{ value["id"] }}</th>
                    <td>{{ value["login"] }}</td>
                    <td>
                      <button type="button" class="btn btn-danger" onclick="get_request('/home/delete-user/{{ value["id"] }}')">Delete</button>
                    </td>
                    <td></td>
                  </tr>
                {% endfor %}
                </tbody>
              </table>
            </div>
          </div>
          <div id="content-footer"></div>
        </div>
    </div>
  </div>

<div class="modal fade" id="user-modal" tabindex="-1">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">

        <form method="post" action="/add-user" >
          <div class="form-group">
              <label for="log">Admin login</label>
              <input name="name" type="text" id="log" class="form-control" placeholder="Enter login">
              <small id="emailHelp" class="form-text text-muted">Please enter your login.</small>
          </div>
          <div class="form-group">
              <label for="pass">Admin password</label>
              <input name="password" type="password" class="form-control" id="pass" placeholder="Password">
          </div>
          <!--<button type="submit" class="btn btn-primary">Add user</button>-->
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary">Add user</button>
        
        <!-- <button type="button" class="btn btn-primary" onclick="post_request('/home/add-cat','cat-modal','cat-form')">Create</button> -->
        
      </div>
    </div>
  </div>
</div>
{% endblock %}